#include <Servo.h>//include library code
//******************************************************
Servo servo2;  //create servo object to control a servo
const int servoPin = 14;//servo motor connected to ESP32 GPIO 14 pin
//******************************************************
void setup() {
  Serial.begin(115200);     //initialise serial communication at 115200 bps
  servo2.attach(servoPin);  //attach the servo to the servo object
}

void loop() {
  for (int pos = 0; pos <= 180; pos += 1) { //goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    servo2.write(pos);              //tell servo to go to position in variable 'pos'
    Serial.println(pos);            //prints degrees
    delay(20);                       //waits 20ms for the servo to reach the position
  }
  for (int pos = 180; pos >= 0; pos -= 1) { // goes from 180 degrees to 0 degrees
    servo2.write(pos);              //tell servo to go to position in variable 'pos'
    Serial.println(pos);            //prints degrees
    delay(20);                       //waits 20ms for the servo to reach the position
  }
}
